## kamoso 25.08.2

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.28 FATAL_ERROR)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "2")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

project(Kamoso VERSION ${RELEASE_SERVICE_VERSION})

set(KF6_MIN_VERSION 6.0.0)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMInstallIcons)
include(ECMAddTests)
include(FeatureSummary)
include(ECMSetupVersion)

find_package(Qt6 NO_MODULE REQUIRED COMPONENTS Core Gui Widgets Quick)
find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS Config DocTools KIO I18n Purpose Notifications)

option(PATCHED_GSTREAMER "GStreamer includes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9085" OFF)
if (NOT PATCHED_GSTREAMER)
    set(GSTREAMER_MIN_VERSION "1.26.3")
else()
    set(GSTREAMER_MIN_VERSION "1.22")
endif()

find_package(PkgConfig REQUIRED)
pkg_check_modules(GStreamer IMPORTED_TARGET gstreamer-1.0>=${GSTREAMER_MIN_VERSION})
pkg_check_modules(GStreamerVideo IMPORTED_TARGET gstreamer-video-1.0)

include(ECMQMLModules)

ecm_find_qmlmodule(org.kde.purpose 1.0)
ecm_find_qmlmodule(org.kde.kirigami 1.0)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(doc)

ki18n_install(po)
kdoctools_install(po)

install(FILES org.kde.kamoso.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
add_definitions(-DGST_DISABLE_DEPRECATED)
add_definitions(-fexceptions)
add_definitions(-DQT_NO_KEYWORDS)

ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KAMOSO VERSION_HEADER kamoso_version.h)

add_executable(kamoso
    devicemanager.cpp
    device.cpp
    kamosodirmodel.cpp
    main.cpp
    kamoso.cpp
    previewfetcher.cpp
    video/webcamcontrol.cpp

    resources.qrc
)

kconfig_add_kcfg_files(kamoso kamosoSettings.kcfgc GENERATE_MOC)
target_link_libraries(kamoso
    Qt::Core Qt::Gui Qt::Widgets Qt::Quick
    KF6::KIOFileWidgets KF6::ConfigGui KF6::I18n KF6::Notifications
    PkgConfig::GStreamerVideo PkgConfig::GStreamer
)

install(TARGETS kamoso ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.kamoso.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES kamoso.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

=== debian/changelog ===
kamoso (25.08.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.08.2).
  * Build against Qt6, update build-deps and deps with the info from cmake.
  * Refresh copyright information.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Replace manual QML runtime dependencies with dh_qmldeps.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 24 Oct 2025 22:29:40 +0200

=== debian/control ===
Source: kamoso
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.28~),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               gstreamer1.0-plugins-base (>= 1.10~),
               gstreamer1.0-qt6,
               libglib2.0-dev,
               libgstreamer-plugins-base1.0-dev (>= 1.10~),
               libgstreamer1.0-dev (>= 1.10~),
               libkf6config-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6notifications-dev (>= 6.0.0~),
               libkf6purpose-dev (>= 6.0.0~),
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/kamoso
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kamoso.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kamoso

Package: kamoso
Architecture: any
Depends: gstreamer1.0-plugins-bad (>= 1.10~),
         gstreamer1.0-plugins-good (>= 1.10~),
         gstreamer1.0-x (>= 1.10~),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: tool to take pictures and videos from your webcam
 Kamoso is a utility that does the very simple actions a webcam offers,
 like taking pictures or recording videos and adds some extra features that will
 make the webcam usage both funnier and more useful.

=== debian/watch ===
version=4
opts=pgpmode=auto https://download.kde.org/stable/release-service/([\d.]+)/src/@PACKAGE@-([\d.]+)\.tar\.xz

## kamoso 25.08.2+p24.04+vstable+git20251012.0412

=== debian/changelog ===
kamoso (25.08.2+p24.04+vstable+git20251012.0412-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 04:12:26 +0000

kamoso (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:27:34 +0000
 

## kamoso 25.08.2+p24.04+vstable+git20251019.0603

=== debian/changelog ===
kamoso (25.08.2+p24.04+vstable+git20251019.0603-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:03:27 +0000

## kamoso 25.08.2+p24.04+vstable+git20251021.0339

=== debian/changelog ===
kamoso (25.08.2+p24.04+vstable+git20251021.0339-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:39:23 +0000

## kamoso 25.08.2+p24.04+vstable+git20251031.1001

=== debian/changelog ===
kamoso (25.08.2+p24.04+vstable+git20251031.1001-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 10:01:25 +0000

## kamoso 25.08.3

=== debian/changelog ===
kamoso (25.08.3-0zneon+24.04+noble+release+build26) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 18:01:26 +0000

kamoso (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:38:04 +1000

=== debian/control ===
Source: kamoso
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               gstreamer1.0-plugins-base,
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-knotifications-dev,
               kf6-purpose-dev,
               libglib2.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               pkg-kde-tools-neon,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               xauth,
               xvfb
Standards-Version: 4.6.2
Homepage: https://userbase.kde.org/Kamoso
Vcs-Git: https://invent.kde.org/neon/kde/kamoso.git
Vcs-Browser: https://invent.kde.org/neon/kde/kamoso
Maintainer: Neon CI <neon@kde.org>

Package: kamoso
Architecture: any
Depends: gstreamer1.0-libcamera,
         gstreamer1.0-pipewire,
         gstreamer1.0-plugins-good,
         gstreamer1.0-qt6,
         gstreamer1.0-x,
         libcamera-ipa,
         libcamera-v4l2,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-purpose,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends}
Description: tool to take pictures and videos from your webcam
 Kamoso is a utility that does the very simple actions a webcam offers,
 like taking pictures or recording videos and adds some extra features that will
 make the webcam usage both funnier and more useful.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- -DPATCHED_GSTREAMER=ON

## kamoso 25.08.3+p24.04+vunstable+git20251201.0256

=== debian/changelog ===
kamoso (25.08.3+p24.04+vunstable+git20251201.0256-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 02:56:17 +0000

## kamoso 25.08.3+p24.04+vunstable+git20251206.0738

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required (VERSION 3.28 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 set(CMAKE_CXX_STANDARD 20)
@@ -24,8 +24,18 @@
 include(FeatureSummary)
 include(ECMSetupVersion)
 
+option(BUILD_DOC "Whether to build the documentation" ON)
+
 find_package(Qt6 NO_MODULE REQUIRED COMPONENTS Core Gui Widgets Quick)
-find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS Config DocTools KIO I18n Purpose Notifications)
+find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS Config KIO I18n Purpose Notifications)
+
+if (BUILD_DOC)
+    find_package(KF6DocTools ${KF6_MIN_VERSION})
+    set_package_properties(KF6DocTools PROPERTIES DESCRIPTION
+        "Tools to generate documentation"
+        TYPE REQUIRED
+    )
+endif()
 
 option(PATCHED_GSTREAMER "GStreamer includes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9085" OFF)
 if (NOT PATCHED_GSTREAMER)
@@ -38,19 +48,22 @@
 pkg_check_modules(GStreamer IMPORTED_TARGET gstreamer-1.0>=${GSTREAMER_MIN_VERSION})
 pkg_check_modules(GStreamerVideo IMPORTED_TARGET gstreamer-video-1.0)
 
-include(ECMQMLModules)
+include(ECMFindQmlModule)
 
 ecm_find_qmlmodule(org.kde.purpose 1.0)
 ecm_find_qmlmodule(org.kde.kirigami 1.0)
+find_package(KF6KirigamiAddons 1.10.0 REQUIRED)
 
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 
 add_subdirectory(src)
 add_subdirectory(icons)
-add_subdirectory(doc)
 
+if (BUILD_DOC)
+    add_subdirectory(doc)
+    kdoctools_install(po)
+endif()
 ki18n_install(po)
-kdoctools_install(po)
 
 install(FILES org.kde.kamoso.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== debian/changelog ===
kamoso (25.08.3+p24.04+vunstable+git20251206.0738-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 07:38:16 +0000

## kamoso 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required (VERSION 3.28 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "26")
-set (RELEASE_SERVICE_VERSION_MINOR "03")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 set(CMAKE_CXX_STANDARD 20)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -17,10 +17,11 @@
 )
 
 kconfig_add_kcfg_files(kamoso kamosoSettings.kcfgc GENERATE_MOC)
-target_link_libraries(kamoso
+target_link_libraries(kamoso PRIVATE
     Qt::Core Qt::Gui Qt::Widgets Qt::Quick
     KF6::KIOFileWidgets KF6::ConfigGui KF6::I18n KF6::Notifications
     PkgConfig::GStreamerVideo PkgConfig::GStreamer
+    KirigamiApp
 )
 
 install(TARGETS kamoso ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kamoso (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)
  * Update build-deps and deps with the info from cmake.

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:50:06 +0000

kamoso (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:11:38 +0000

kamoso (25.08.2-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Oct 2025 09:22:12 +0100

=== debian/control ===
Source: kamoso
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.28~),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               gstreamer1.0-plugins-base (>= 1.10~),
               gstreamer1.0-qt6,
               kirigami-addons-dev (>= 1.10.0~),
               libglib2.0-dev,
               libgstreamer-plugins-base1.0-dev (>= 1.10~),
               libgstreamer1.0-dev (>= 1.10~),
               libkf6config-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6notifications-dev (>= 6.0.0~),
               libkf6purpose-dev (>= 6.0.0~),
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/kamoso
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kamoso
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kamoso

Package: kamoso
Architecture: any
Depends: gstreamer1.0-plugins-bad (>= 1.10~),
         gstreamer1.0-plugins-good (>= 1.10~),
         gstreamer1.0-x (>= 1.10~),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: tool to take pictures and videos from your webcam
 Kamoso is a utility that does the very simple actions a webcam offers,
 like taking pictures or recording videos and adds some extra features that will
 make the webcam usage both funnier and more useful.

## kamoso 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 set(CMAKE_CXX_STANDARD 20)

=== debian/changelog ===
kamoso (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:00:51 +0000

## kamoso 25.12.0

=== debian/changelog ===
kamoso (25.12.0-0zneon+24.04+noble+release+build27) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 14:15:12 +0000

kamoso (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:34:01 +1000

## kamoso 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 set(CMAKE_CXX_STANDARD 20)
@@ -48,11 +48,10 @@
 pkg_check_modules(GStreamer IMPORTED_TARGET gstreamer-1.0>=${GSTREAMER_MIN_VERSION})
 pkg_check_modules(GStreamerVideo IMPORTED_TARGET gstreamer-video-1.0)
 
-include(ECMFindQmlModule)
+include(ECMQMLModules)
 
 ecm_find_qmlmodule(org.kde.purpose 1.0)
 ecm_find_qmlmodule(org.kde.kirigami 1.0)
-find_package(KF6KirigamiAddons 1.10.0 REQUIRED)
 
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

=== debian/changelog ===
kamoso (25.12.1-0zneon+24.04+noble+release+build28) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 16:59:09 +0000

kamoso (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:23:19 +1000

=== debian/control ===
Source: kamoso
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               gstreamer1.0-plugins-base,
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-knotifications-dev,
               kf6-purpose-dev,
               libglib2.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               pkg-kde-tools-neon,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               xauth,
               xvfb
Standards-Version: 4.6.2
Homepage: https://userbase.kde.org/Kamoso
Vcs-Git: https://invent.kde.org/neon/kde/kamoso.git
Vcs-Browser: https://invent.kde.org/neon/kde/kamoso
Maintainer: Neon CI <neon@kde.org>

Package: kamoso
Architecture: any
Depends: gstreamer1.0-libcamera,
         gstreamer1.0-pipewire,
         gstreamer1.0-plugins-good,
         gstreamer1.0-qt6,
         gstreamer1.0-x,
         libcamera-ipa,
         libcamera-v4l2,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-purpose,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends}
Description: tool to take pictures and videos from your webcam
 Kamoso is a utility that does the very simple actions a webcam offers,
 like taking pictures or recording videos and adds some extra features that will
 make the webcam usage both funnier and more useful.

## kamoso 25.12.1+p24.04+vstable+git20260106.1832

=== debian/changelog ===
kamoso (25.12.1+p24.04+vstable+git20260106.1832-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 18:32:23 +0000

## kamoso 25.12.1+p24.04+vstable+git20260128.0427

=== debian/changelog ===
kamoso (25.12.1+p24.04+vstable+git20260128.0427-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 04:27:32 +0000

## kamoso 25.12.1+p24.04+vstable+git20260131.0433

=== debian/changelog ===
kamoso (25.12.1+p24.04+vstable+git20260131.0433-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 04:33:29 +0000

## kamoso 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 set(CMAKE_CXX_STANDARD 20)

=== debian/changelog ===
kamoso (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:19:11 +0000

kamoso (25.12.1-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:46:26 +0000

kamoso (25.12.1-0ubuntu2) resolute; urgency=medium

  * Rebuild for release.

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 15:09:10 +0000

kamoso (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:59:23 +0000

kamoso (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:16:17 +0000

=== debian/control ===
Source: kamoso
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.28~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               gstreamer1.0-plugins-base (>= 1.10~),
               gstreamer1.0-qt6,
               kirigami-addons-dev (>= 1.10.0~),
               libglib2.0-dev,
               libgstreamer-plugins-base1.0-dev (>= 1.10~),
               libgstreamer1.0-dev (>= 1.10~),
               libkf6config-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6notifications-dev (>= 6.0.0~),
               libkf6purpose-dev (>= 6.0.0~),
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/kamoso
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kamoso
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kamoso

Package: kamoso
Architecture: any
Depends: gstreamer1.0-plugins-bad (>= 1.10~),
         gstreamer1.0-plugins-good (>= 1.10~),
         gstreamer1.0-x (>= 1.10~),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: tool to take pictures and videos from your webcam
 Kamoso is a utility that does the very simple actions a webcam offers,
 like taking pictures or recording videos and adds some extra features that will
 make the webcam usage both funnier and more useful.
